summary: OpenSSH Secure Shell (ssh) client and server 
Name: hhl-target-openssh
Version: 3.0.2p1
Release: %{_hhl_build_id}.3
Source:  openssh_3.0.2p1.orig.tar.gz
Source1: openssh.tmpl
Source2: openssh-clients.tmpl
Source3: openssh-server.tmpl
Patch0: openssh_3.0.2p1-5.diff.gz
Patch2: openssh-initd.diff
Patch3: openssh-force-cross.diff
Patch4: openssh-channels.diff
License: Other
Group: Crypto
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
BuildRequires: hhl-%{_hhl_target_arch}-libwrap-dev hhl-%{_hhl_target_arch}-zlib-dev hhl-%{_hhl_target_arch}-openssl-dev hhl-%{_hhl_target_arch}-libpam-dev

%description
This is the portable version of OpenSSH, a free implementation of
the Secure Shell protocol as specified by the IETF secsh working
group.

Ssh (Secure Shell) is a program for logging into a remote machine
and for executing commands on a remote machine.  
It provides secure encrypted communications between two untrusted
hosts over an insecure network.  X11 connections and arbitrary TCP/IP
ports can also be forwarded over the secure channel.

# ssh
%package -n hhl-%{_hhl_target_arch}-openssh
Summary: OpenSSH Secure Shell (ssh) server
Group: Crypto
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-openssh
This is the portable version of OpenSSH, a free implementation of
the Secure Shell protocol as specified by the IETF secsh working
group.

Ssh (Secure Shell) is a program for logging into a remote machine
and for executing commands on a remote machine.  
It provides secure encrypted communications between two untrusted
hosts over an insecure network.  X11 connections and arbitrary TCP/IP
ports can also be forwarded over the secure channel.

# ssh-server
%package -n hhl-%{_hhl_target_arch}-openssh-server
Summary: OpenSSH Secure Shell (ssh) server
Group: Crypto
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-openssh-server
This packages contains files needed to run an ssh server

# ssh-clients
%package -n hhl-%{_hhl_target_arch}-openssh-clients
Summary: OpenSSH Secure Shell (ssh) clients
Group: Crypto  
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-openssh-clients
This package contains files need to run an ssh client (ssh, scp)

# ssh-doc
%package -n hhl-%{_hhl_target_arch}-openssh-doc
Summary: OpenSSH Secure Shell (ssh) doc
Group: Documentation
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-openssh-doc
This package contains the ssh documentation

%prep
%target_check
%setup -q -n openssh-%{version}
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%target_setup
%target_acplatvars

export ac_cv_func_getpgrp_void=yes
export ac_cv_file___dev_ptc_=no
export ac_cv_file___dev_urandom_=yes

export LD=${CC}

%target_configure \
	--with-tcp-wrappers --sysconfdir=%{_hhl_target_sysconf_dir}/ssh \
	--libexecdir=%{_hhl_target_lib_dir}/openssh \
	--with-md5-passwords --with-pam --with-ipv4-default

make CFLAGS='-O2 -Wall -DLOGIN_PROGRAM=\"/bin/login\" -DSSHD_PAM_SERVICE=\"ssh\" -D__FILE_OFFSET_BITS=64'

#make all LIBS="-lpam -ldl -lwrap -lz -lnsl  -lutil  -lcrypto"
#%make ASKPASS_PROGRAM1='/usr/bin/ssh-askpass'
#not making gnome-ssh-askpass for now..

%install
rm -rf %{buildroot}

mv LICENCE LICENSE

%target_setup

cd %{_objdir}
make DESTDIR=%{buildroot}%{_hhl_cross_target_dir} install-files

#pam stuff
install -d -m 755 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/pam.d
install -p -m 644 ../debian/ssh.pam %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/pam.d/ssh 
# debian init.. should we have a %_dh_installinit macro?
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/
install -p -m 755 ../debian/init %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/ssh

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default
echo "# Set AUTOKEYGEN=yes to make the ssh init script autogenerate" \
	> %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default/ssh
echo "# the required keys if they are not on the system." \
	>> %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default/ssh
echo "AUTOKEYGEN=no" \
	>> %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default/ssh

rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/slogin.1
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
ln -s ssh.1.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/slogin.1.gz

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/openssh
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/openssh-clients
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/openssh-server


%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-openssh
%defattr(-,root,root)
%doc ChangeLog OVERVIEW README* INSTALL
%doc CREDITS LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/ssh-keygen
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/ssh-keyscan
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ssh-keygen.1*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ssh-keyscan.1*
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/ssh
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/ssh/moduli
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/openssh

%files -n hhl-%{_hhl_target_arch}-openssh-clients
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/ssh
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/ssh-agent
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/ssh-add
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/scp
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ssh.1*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ssh-agent.1*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/ssh-add.1*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/scp.1*
%config(noreplace) %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/ssh/ssh_config
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/slogin
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/slogin.1*
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/sftp
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/sftp.1*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/openssh-clients

%files -n hhl-%{_hhl_target_arch}-openssh-server
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/sshd
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/openssh/sftp-server
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/sshd.8*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/sftp-server.8*
%config(noreplace) %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/ssh/sshd_config
%config(noreplace) %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/pam.d/ssh
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/ssh
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default/ssh
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/openssh-server

%changelog
* Mon Jan 28 2002 Mark Hatle <source@mvista.com>
- Updated to 3.0.2p1
- Slightly changed the package layout to move scp under the client
- Move the moduli (replacement of the "primes" file) to the base package
* Mon Apr 23 2001 Steve Kinneberg <skinneberg@mvista.com>
- Added pkg desc file generation
* Fri Mar 02 2001 Troy Benjegerdes <tbenjegerdes@mvista.com>
- Fix cross-compile issues
* Thu Feb 22 2001 Troy Benjegerdes <tbenjegerdes@mvista.com>
- First cut
